Package org.apache.wiki.tags

# Class SearchResultIteratorTag

java.lang.Object
jakarta.servlet.jsp.tagext.TagSupport
jakarta.servlet.jsp.tagext.BodyTagSupport
org.apache.wiki.tags.IteratorTag
org.apache.wiki.tags.SearchResultIteratorTag

All Implemented Interfaces:
  `jakarta.servlet.jsp.tagext.BodyTag`, `jakarta.servlet.jsp.tagext.IterationTag`, `jakarta.servlet.jsp.tagext.JspTag`, `jakarta.servlet.jsp.tagext.Tag`, `jakarta.servlet.jsp.tagext.TryCatchFinally`, `Serializable`

public class SearchResultIteratorTag extends IteratorTag
Iterates through Search result results.

Attributes

- max = how many search results should be shown.

Since:
  2.0
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.apache.wiki.tags.IteratorTag

`m_iterator, m_pageName, m_wikiContext`

### Fields inherited from class jakarta.servlet.jsp.tagext.BodyTagSupport

`bodyContent`

### Fields inherited from class jakarta.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface jakarta.servlet.jsp.tagext.BodyTag

`EVAL_BODY_BUFFERED`

### Fields inherited from interface jakarta.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface jakarta.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`SearchResultIteratorTag()`

## Method Summary

Modifier and Type
Method
Description
`int`
`doAfterBody()`
`int`
`doEndTag()`
`final int`
`doStartTag()`
`void`
`release()`
`void`
`setMaxItems(int arg)`
`void`
`setStart(int arg)`

### Methods inherited from class org.apache.wiki.tags.IteratorTag

`clearList, doCatch, doFinally, resetIterator, setList, setList`

### Methods inherited from class jakarta.servlet.jsp.tagext.BodyTagSupport

`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

### Methods inherited from class jakarta.servlet.jsp.tagext.TagSupport

`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface jakarta.servlet.jsp.tagext.Tag

`getParent, setPageContext, setParent`

## Constructor Details

### SearchResultIteratorTag

public SearchResultIteratorTag()

## Method Details

### release

public void release()

Specified by:
  `release` in interface `jakarta.servlet.jsp.tagext.Tag`
Overrides:
  `release` in class `jakarta.servlet.jsp.tagext.BodyTagSupport`

### setMaxItems

public void setMaxItems(int arg)

### setStart

public void setStart(int arg)

### doStartTag

public final int doStartTag()

Specified by:
  `doStartTag` in interface `jakarta.servlet.jsp.tagext.Tag`
Overrides:
  `doStartTag` in class `IteratorTag`

### doAfterBody

public int doAfterBody()

Specified by:
  `doAfterBody` in interface `jakarta.servlet.jsp.tagext.IterationTag`
Overrides:
  `doAfterBody` in class `IteratorTag`

### doEndTag

public int doEndTag()

Specified by:
  `doEndTag` in interface `jakarta.servlet.jsp.tagext.Tag`
Overrides:
  `doEndTag` in class `IteratorTag`